﻿@model WebApplication_StudentManagement_PrizeTest.Models.StudentViewModel

@using (Ajax.BeginForm("Create", "Student", new AjaxOptions { OnSuccess = "onAddStudentAdded", HttpMethod = "POST" }, new { id = "frmAddStudent" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Surname, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.Surname, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Surname, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.EmailAddress, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.EmailAddress, htmlAttributes: new { @class = "form-control datefield" })
                @Html.ValidationMessageFor(model => model.EmailAddress, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.IDNumber, htmlAttributes: new { @class = "control-label col-md-4" })
            <div class="col-md-8">
                @Html.TextBoxFor(model => model.IDNumber, htmlAttributes: new { @class = "form-control datefield" })
                @Html.ValidationMessageFor(model => model.IDNumber, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-4">
                &nbsp;
            </div>
            <div class="col-md-8">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<script>
    function onAddStudentAdded(args) {
        if (typeof onAddStudentAdded_callback !== 'undefined' && $.isFunction(onAddStudentAdded_callback)) {
            var callbackFunction = onAddStudentAdded_callback;
            callbackFunction.call(this, args);
        }
    }
</script>